NAUTY-ADDEDGEG(1)

NAME
nauty-addedgeg - add an edge in each possible way

SYNOPSIS
addedgeg [-lq] [-D#] [-btfF] [-z#] [infile [outfile]]

DESCRIPTION

    For each edge nonedge e, output G+e if it satisfies certain conditions

    The output file has a header if and only if the input file does.

-l  Canonically label outputs

-D# Specify an upper bound on the maximum degree of the output

-b  Output has no new cycles of odd length

-t  Output has no new 3-cycle if input doesn't

-f  Output has no new 4-cycle if input doesn't

-F  Output has no new 5-cycle if input doesn't

-z# Output has no new cycles of length less than #

-btfFz can be used in arbitrary combinations

-q  Suppress auxiliary information